PDA

View Full Version : Rosmake



Xalu
06-20-2011, 01:01 PM
Whenever I try to run ROSMAKE I am getting this error message ( Trying to install the icreate package http://www.ros.org/wiki/irobot_create_2_1#): (http://www.ros.org/wiki/irobot_create_2_1#%29:)


[ rosmake ] Packages requested are: ['irobot_create_2_1']
[ rosmake ] Logging to directory/home/ros/.ros/rosmake/rosmake_output-20110620-135458
[ rosmake ] Expanded args ['irobot_create_2_1'] to:
[]
[ rosmake ] WARNING: The following args could not be parsed as stacks or packages: ['irobot_create_2_1']
[ rosmake ] ERROR: No arguments could be parsed into valid package or stack names.
I am an intermediate ubuntu user (It's my main OS). I am assuming I need to had a source for ROS to pull the file from? OR is it that I need to place the software someplace for it to be made?

lnxfergy
06-20-2011, 02:49 PM
Have you checked the code out using SVN? (does "roscd irobot_create_2_1" work?)

-Fergs

Xalu
06-20-2011, 03:32 PM
ahh I figured it out..

I didn't add the repository ( "brown-ros-pkg (http://www.ros.org/wiki/brown-ros-pkg)") Once I did that with

sudo apt-get install ros-diamondback-brown-drivers

It worked :)

alice
12-02-2013, 12:59 AM
I decided to build a prototype with a minimal configuration to get started. I plan to use an ATMega128 processor because I have several laying around. Here are the required input and outputs: